Bug 432429 - unable to open a connection to the libvirt management daemon without root
unable to open a connection to the libvirt management daemon without root
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-11 18:41 EST by Michael Ploujnikov
Modified: 2009-02-27 07:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-26 11:32:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Ploujnikov 2008-02-11 18:41:45 EST
Description of problem:
In virt-manager, when I try to connect to the localhost qemu virtual machine I
get an error message saying:

Unable to open a connection to the libvirt management daemon.
Verify that:
- The 'libvirtd' daemon has been started
Unable to open connection to hypervisor URI 'qemu:///session':
<class 'libvirt.libvirtError'> virConnectOpenReadOnly() failed authentication failed
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/connection.py", line 306, in
    self.vmm = libvirt.openReadOnly(self.uri)
  File "/usr/lib64/python2.5/site-packages/libvirt.py", line 144, in openReadOnly
    if ret is None:raise libvirtError('virConnectOpenReadOnly() failed')
libvirtError: virConnectOpenReadOnly() failed authentication failed

Version-Release number of selected component (if applicable):
virt-manager.x86_64 0.5.3 1.fc8
libvirt.x86_64 0.4.0 4.fc8

How reproducible:
Always, on two different machines running Fedora 8 and only as a non-root user.

Steps to Reproduce:
1. As a regular (non-root) user, run 'virt-manager' from a terminal
2. When asked to authenticate as root click the [Run Unprivileged] button
3. In the list of virtual machines, find one that is named "localhost", has an
ID of "qemu", and status "Disconnected"
4. Right click on the row that belongs to the above virtual machine
5. Select the "Connect" option from the pop-up menu
Actual results:
An error message pops up as described above.

Expected results:
No error messages popup and the localhost qemu virtual machine status changes to

Additional info:
I made sure that libvirtd is indeed running when I get that error:
 # /etc/init.d/libvirtd status
libvirtd (pid 2539) is running...
Restarting libvirt is successful but does not fix this problem.

Running virt-manager while authenticated as root does not exhibit this problem.
Comment 1 Bug Zapper 2008-11-26 04:47:25 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Cole Robinson 2008-11-26 10:55:02 EST
Hmm, this works for me. Are you still seeing this? If so, what happens when you try virsh --connect qemu:///session as both regular user and root?
Comment 3 Cole Robinson 2008-11-26 11:32:39 EST
Hmm, since this bug is pretty old, and I can't reproduce, I'm going to close as WORKSFORME. If you are still hitting this, please reopen and we can sort this out.
Comment 4 bob mckay 2009-02-27 07:31:05 EST
Just came across this because I hit the same problem; I'm still running f8 because I need headless administration, which I can't get to work under f9 or f10. I ran the test you requested, and saw:

[root@sc1 /]# virsh --connect qemu:///session
Welcome to virsh, the virtualization interactive terminal.

Type:  'help' for help with commands
       'quit' to quit

virsh # quit

[root@sc1 /]# exit
[rim@sc1 ~]$ virsh --connect qemu:///session
libvir: Remote error : authentication failed
error: failed to connect to the hypervisor

However I'm completely new to libvirt and qemu, not sure whether this is the normally expected behaviour, nor whether I've made some basic installation error.

Note You need to log in before you can comment on or make changes to this bug.